Subject: X dosemu 0.1 (xdos01.tar.z)
From: [email-masked] (Der-Hua Liu)
Date: Sun, 14 Mar 1993 18:00:56 GMT
Newsgroups: comp.os.linux.announce

Finally I got two days to hack around X dosemu. This one should be better now.
It shouldn't let you down too much.

	This one is based on dosemu0.48.  I've tried to link X interface
with dosemu0.48, but it core-dumped.   So I gradually added the functions of
dosemu48 to X dosemu. It is still not completely successful, but more usable
than before.  ( Hope Rober Sanders (dosemu0.48) can forgive me )

It is available at
	1. sunsite.unc.edu	/pub/Linux/Incoming
	2. earth.csie.ntu.edu.tw(140.112.28.163)  /pub/Linux

Features:
	. Running under X window. ( So you can set DISPLAY to other machines )
	. 80x25 COLOR term
	. ALT keys and func keys work. (They don't work under xterm)
	. Xterm's scroll bar and copy-paste buffer

Changes:
	. Update only the portions changed of the screen by using mirroring.
	  You won't see the cursor moving around the screen.
	   This version should be REALLY better now.
	   ( Sorry, on a 486 DX-50.  I haven't tried it on a 386.  :-)
	. Better cursor
	. Handle window-expose event more gracefully.
	. You can enable/disable HD write-protect at any time.
	   ( Press CTRL and the left button of your mouse, then you can see a
	     menu )

Bugs:
	. Copy-paste still works, but you can't see the highlight portion.
	. As mentioned above, this one is not fully successfully combined with 
	  dosemu0.48. Some progs works under dosemu0.48 may not work under
	  X dosemu.
	. Screen refreshing bug. This bug should not hurt too much. Fixing this
	  bug will slow screen output down a little.

Install:
	Assuming you have run dosemu before,

	1. Copy your bootable msdos hdimage in your dosemu dir to xdosemu dir.
	2. make  ( Do not forget to modify HD parameters in the emu.c )
	3. cp libxdosemu /lib
	4. chmod 4755 xdos	( set root uid for this file )
	5. % xd     ( hdimage as C, /dev/hda as D (write protect) )
	6. See xdos.* shell-scripts to see how to swap C: D: and set write-
	   protect.

----------------------------------------------------------
Future work:
	2-byte characters support ( Chinese, Japanese ..).  It is a 16-bit
	character input & display system which doesn't use any 640K memory.
	( This is the reason I modify cxterm )

I will fix the bugs as soon as I have time.

----------------------------------------------------------

Please don't blame me if this program still lets you down.

---
Edward Der-Hua Liu
CS department
National Taiwan University, Taiwan
[email-masked]

-- 
Send submissions for comp.os.linux.announce to: [email-masked]